<meta charset="utf-8">
<link href="../../css/templatemo_style.css" rel="stylesheet" type="text/css" />


<?php
session_start();
if (isset($_GET['s'])) {
    $s = $_GET['s'];
    $_SESSION['GROUPOFUSE'] = $s;
}


if ($_SESSION['GROUPOFUSE'] == 4) {
    $pagetitle = "4oυ Γραφείου!!!";
    include('../../divs/header.php');
} else {
    require_once('../../login/login_functions.inc.php');
    $url = absolute_url('../../login/login.php');
    header("Location: $url");
    exit();
}
?>

<!--  MENU  -->

<div id="templatemo_menu_wrapper">
    <?php
    if (isset($_GET['s'])) {
        echo'
    <div id="templatemo_menu">
        <ul>
            <li><a href="4oGrafeio.php" class="current"><span></span>Αρχική</a></li>
            <li><a><span></span>Ενημέρωση Στελεχών</a>
</a>
             <ul><li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
             </ul>            
</li>
            <li><a href="kiniseis.php" target="_parent"><span></span>Κινήσεις</a></li>
            <li><a href="oximata.php" target="_parent"><span></span>Οχήματα</a>                     
</li>
 <li><a href="../dkths/dkths.php?s=6"><span></span>Επιστροφή στη Σελίδα Διοικητή </a></li>
            <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
        
	</div>';
    } else {
        echo'
    <div id="templatemo_menu">
          <ul>
            <li><a href="3oGrafeio.php" class="current"><span></span>Αρχική</a></li>
            <li><a><span></span>Ενημέρωση Στελεχών</a>
</a>
             <ul><li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
             </ul>            
</li>
            <li><a href="kiniseis.php" target="_parent"><span></span>Κινήσεις</a></li>
            <li><a href="oximata.php" target="_parent"><span></span>Οχήματα</a>                     
</li>
             <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
        
	</div>';
    }
    ?>
    </div> <!-- end of templatemo_menu -->

    <div id="templatemo_main"> <span class="tm_bottom"></span>


        <!-- CONTENT -->
        <?php
        require_once ('../../mysqli_connect.php');
    echo '<h1>Επεξεργαστείτε την κίνηση!</h1>';
    if ((isset($_GET['aa'])) && (is_numeric($_GET['aa']))) {
        $aa = $_GET['aa'];
    } elseif ((isset($_POST['aa'])) && (is_numeric($_POST['aa']))) {
        $aa = $_POST['aa'];
    } else {
        echo '<p class="error">Αυτή η σελίδα προσεγγίστηκε με λάθος τρόπο!</p>';
        include('../../divs/footer.php');
        exit();
    }
    
    if (isset($_POST['submitted'])){
        if (empty($_POST['pin'])) {
            $errors[] = "Ξέχασες εισάγεις τον αριθμό πινακίδας του οχήματος!";
        } else {
            $pin = mysqli_real_escape_string($dbc, trim($_POST['pin']));
        }

        if (empty($_POST['date'])) {
            $errors[] = "Ξέχασες εισάγεις την ημερομηνία της κίνησης!";
        } else {
            $date = mysqli_real_escape_string($dbc, trim($_POST['date']));
        }
        if (empty($_POST['sk'])) {
            $errors[] = "Ξέχασες εισάγεις τον σκοπό της κίνησης!";
        } else {
            $sk = mysqli_real_escape_string($dbc, trim($_POST['sk']));
        }
        if (empty($_POST['onod'])) {
            $errors[] = "Ξέχασες να συμπληρώσεις το ονοματεπώνυμο του οδηγού του οχήματος!";
        } else {
            $onod = mysqli_real_escape_string($dbc, trim($_POST['onod']));
        }
        if (empty($_POST['sino'])) {
            $errors[] = "Ξέχασες να συμπληρώσεις το ονοματεπώνυμο του συνοδηγού του οχήματος!";
        } else {
            $sino = mysqli_real_escape_string($dbc, trim($_POST['sino']));
        }
        
         if (empty($errors)) {
            $q = "select aa from odhghsh where aa='$aa'";

            $r = @mysqli_query($dbc, $q);

            if (mysqli_num_rows($r) == 1) {
                $q12 = "update odhghsh set onoma='$onod',aa='$aa',pinakida='$pin',date='$date',skoposkinisis='$sk',sinodigos='$sino' where aa='$aa' limit 1";
                $r12 = @mysqli_query($dbc, $q12);
                if (mysqli_affected_rows($dbc) == 1) {
                    echo '<p>Τα στοιχεία  της κίνησης τροποποιήθηκαν!</p>
                    <p><a href="kiniseis.php">Επιστροφή στον κατάλογο κινήσεων της Μονάδας!</a></p>';
                } else {
                    echo '<p> Δεν έγινε κάποια αλλαγή στα στοιχεία της κίνησης!</p>
                    <p><a href="kiniseis.php">Επιστροφή στον κατάλογο κινήσεων της Μονάδας!</a></p>';
                }
            } else {
                echo '<p class="error">Η κίνηση έχει ήδη καταγραφεί!</p>';
            }
        } else {
            echo '<p class="errors">The following error(s) occured:<br/>';
            foreach ($errors as $msg) {
                echo "-$msg<br/>\n";
            }echo 'Παρακαλώ προσπαθήστε ξανά!';
        }
        
    }
    $q = "select * from odhghsh where aa='$aa'";
    $r = @mysqli_query($dbc, $q);
    if (mysqli_num_rows($r) == 1) {
        $row = mysqli_fetch_array($r, MYSQLI_BOTH);
         echo '<form action="kiniseise.php" method="post">
         <p> Ονοματεπώνυμο Οδηγού:<select name="onod">';
         echo '<option>'.$row[0].'</option>';
  
    $g = "select concat(r.rankname,' ',o.oploname,' ',s.surname,' ',s.name) from stelexi s,ranks r,oplo o where s.oploid=o.oploid and r.rankid=s.rankid";
                             $b = mysqli_query($dbc, $g);
                 while ($row8 = mysqli_fetch_array($b, MYSQLI_BOTH)) {
                             echo"<option>" . $row8[0] . "</option>";
                             }
                             echo'</select></p><br/>
                <p>Αριθμός Πινακίδας:<select name="pin" >';
                $s="select pinakid from oxhmata";
                $rs=  mysqli_query($dbc, $s);
                echo'<option>'.$row[2].'</option>';
                while($row7=  mysqli_fetch_array($rs,MYSQLI_BOTH)){
                    echo'<option>'.$row7[0].'</option>';
                }echo'</select></p><br/>
                    <p> Ημερομηνία Κίνησης:<input type="date" name="date" size="15" maxlength="30" value="'.$row[3].'"/></p><br/>
                <p>Σκοπός Κίνησης:<input type="text" name="sk" size="100" maxlength="120" value="'.$row[4].'" /></p><br/>
                <p> Ονοματεπώνυμο Συνοδηγού:<select name="sino">';
                    echo ' <option>'.$row[5].'</option>';
                    
                    $g1 = "select concat(r.rankname,' ',o.oploname,' ',s.surname,' ',s.name) from stelexi s,ranks r,oplo o where s.oploid=o.oploid and r.rankid=s.rankid";
                             $b1 = mysqli_query($dbc, $g);
                 while ($row81 = mysqli_fetch_array($b1, MYSQLI_BOTH)) {
                             echo"<option>" . $row81[0] . "</option>";
                             }
                             echo'</select></p><br/>
                
      
                <p><input type="submit" name="submit" value"Υποβολή" /></p>
                <input type ="hidden" name="submitted" value="true"/>
                     <input type="hidden" name="aa" value="'.$aa.'"/>
              </form>';
        
    }
        
        ?>  


        <!-- SIDEBAR -->



        <div class="cleaner"></div>
    </div> 




    <?php
    include('../../divs/footer.php');
    ?>